package com.casic.missiles.service.meter;

import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.meter.MeterWorkbenchRequest;
import com.casic.missiles.dto.meter.MeterWorkbenchResponse;

public interface MeterWorkbenchService {

    ReturnDTO<MeterWorkbenchResponse> queryStaffCertificate(MeterWorkbenchRequest workbenchRequest);

    ReturnDTO<MeterWorkbenchResponse> meterStaffStatistic();

    ReturnDTO<MeterWorkbenchResponse> meterTrainStatistic();

    ReturnDTO<MeterWorkbenchResponse> meterTrainLogStatistic(MeterWorkbenchRequest workbenchRequest);
}
